View Issue Details

IDProjectCategoryView StatusLast Update
0017783mantisbtplug-inspublic2015-02-21 00:02
ReportergrangewayAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017783: New Event: EVENT_MANAGE_PROJECT_DELETE
Description

Add an event to allow tracking of project deletions

This could be used to allow synchronisation with a 3rd party system, to deny
the deletion of specific projects, or to provide auditing/event
logging.

Tagspatch

Relationships

related to 0017782 closedvboctor New Event: EVENT_MANAGE_VERSION_DELETE 

Related Changesets

MantisBT: master 42e7ed02

2014-10-17 14:13:45

Paul Richards


Committer: vboctor Details Diff
New Event: EVENT_MANAGE_PROJECT_DELETE

Add new event: EVENT_MANAGE_PROJECT_DELETE

These events allow plugins to process or 'block' a project deletion,
as they occur prior to any version or project deletion.

This could be used to allow synchronisation with a 3rd party system, to deny
the deletion of specific projects.

Fixes 0017783

Signed-off-by: Victor Boctor <victor@mantishub.net>
mod - core/events_inc.php Diff File
mod - core/project_api.php Diff File
mod - docbook/Developers_Guide/en-US/Events_Reference_Manage.xml Diff File

Issue History

Date Modified Username Field Change
2014-10-16 15:10 grangeway New Issue
2014-10-17 04:47 dregad Severity minor => feature
2014-10-17 04:47 dregad Product Version 1.3.0-beta.1 =>
2014-10-17 14:10 grangeway Assigned To => grangeway
2014-10-17 14:10 grangeway Status new => assigned
2014-10-27 12:56 vboctor Note Added: 0041684
2014-10-27 12:56 vboctor Tag Attached: patch
2014-10-27 12:59 vboctor Assigned To grangeway => vboctor
2014-11-02 01:10 vboctor Changeset attached => MantisBT master 42e7ed02
2014-11-02 01:10 vboctor Status assigned => resolved
2014-11-02 01:10 vboctor Resolution open => fixed
2014-11-02 01:10 vboctor Fixed in Version => 1.3.0-beta.1
2014-12-08 00:33 vboctor Status resolved => closed
2015-02-20 23:57 vboctor Changeset attached => MantisBT master 23aecac3
2015-02-21 00:00 vboctor Relationship added related to 0017782
2015-02-21 00:02 vboctor Changeset removed MantisBT master 23aecac3 =>